uima-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jerry Cwiklik (JIRA)" <...@uima.apache.org>
Subject [jira] Created: (UIMA-1898) UIMA AS not compatible with ActiveMQ 5.4.+
Date Mon, 11 Oct 2010 20:49:33 GMT
UIMA AS not compatible with ActiveMQ 5.4.+
------------------------------------------

                 Key: UIMA-1898
                 URL: https://issues.apache.org/jira/browse/UIMA-1898
             Project: UIMA
          Issue Type: Bug
          Components: Async Scaleout
            Reporter: Jerry Cwiklik
            Assignee: Jerry Cwiklik


The latest AMQ version 5.4.+ comes with dependency on Spring Framework 3.0.+. This version
of Spring contains an API change in DefaultMessageListenerContainer class.
DefaultMessageListenerContainer.setTaskExecutor() parameter changed from org.springframework.core.task.TaskExecutor
to java.util.concurrent.Executor. This produces 
java.lang.NoSuchMethodError: org/springframework/jms/listener/DefaultMessageListenerContainer.setTaskExecutor(Lorg/springframework/core/task/TaskExecutor.

Change UIMA AS JMS listener code to support the new API. The code should be backwards compatible
with older versions of Spring. Consider using java's Reflection to examine the class instance
to call supported method.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message